Bug 475510 - Abysmal Intel OpenGL performance
Abysmal Intel OpenGL performance
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 10:43 EST by Steve Hill
Modified: 2009-03-16 17:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 17:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output (37.58 KB, text/plain)
2009-01-28 12:25 EST, Edney Matias
no flags Details
Xorg.0.log (83.03 KB, text/plain)
2009-01-28 12:26 EST, Edney Matias
no flags Details

  None (edit)
Description Steve Hill 2008-12-09 10:43:18 EST
Description of problem:
The performance of Compiz has hit rock bottom - with wobbly windows turned
on, dragging a window is sloooow, with the window lagging behind the mouse
pointer by a good few seconds.  Turning wobbly windows off at least makes it
usable, but windows being dragged still lag behind the mouse quite a lot.

Also, Stellarium's performance (running without Compiz) is pretty abysmal,
giving me under 2 frames per second and causing the whole of X to run
cripplingly slowly.  It doesn't seem to be using much CPU time so I guess it
hasn't done something crazy like rendering in software (and frankly I'd
expect software rendering to be faster than this anyway).

Since both Compiz and Stellarium are showing bad performance, I suspect a
GPU driver problem.  There are a few errors reported in the Xorg log - not
sure if they are related:

(II) intel(0): Attempting memory allocation with tiled buffers.
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on back buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on depth buffer: rejected by kernel
(II) intel(0): Tiled allocation successful.

(II) intel(0): EDID for output TMDS-1
(II) intel(0): EDID for output TV
(EE) intel(0): underrun on pipe B!
(II) intel(0): EDID for output VGA
(II) intel(0): EDID for output LVDS


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64

Actual results:
Stuff that uses GL is pretty much unusable, whereas it was quite speedy under Fedora 8.

Additional info:
The machine is a Core 2 T5500

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

glxgears shows 319fps.
Comment 1 Steve Hill 2008-12-09 10:44:18 EST
Probably the same bug: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/252094
Comment 2 Eric Anholt 2008-12-11 21:25:25 EST
You've unfortunately got a 945 with the nasty swizzling option turned on by the BIOS, which results in a performance penalty due to insufficient workarounds in software.  If you short-circuit i915_gem_detect_bit_6_swizzle to return _NONE for both modes, that would answer whether that was the performance problem, at the expense of bad rendering.

If not, needs Xorg.0.log, dmesg, etc.

Ubuntu bug is unrelated -- they've got a bad collection of software.
Comment 3 Matěj Cepl 2008-12-19 11:21:59 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Edney Matias 2009-01-28 12:24:20 EST
Well i have a 

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

and running 

Linux r2d2 2.6.27.12-170.2.5.fc10.x86_64 #1 SMP Wed Jan 21 01:33:24 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

with driver

xorg-x11-drv-i810-2.5.0-4.fc10.x86_64

I have no xorg.conf file and my Xorg.0.log is attached and my problems is pretty the same described by Steve. Now I have any performance issue with games as i used to have on fedora 10 development cycle, but now compositing is cripplingly slow with FPS at 1.

The only error i found on Xorg.0.log is

        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) Unable to locate/open config file
(II) Loading extension MIT-SCREEN-SAVER
(EE) intel(0): underrun on pipe B!

I'm also attaching my dmesg output and any other information feel free to ask.

Thank you.
Comment 5 Edney Matias 2009-01-28 12:25:46 EST
Created attachment 330260 [details]
Dmesg output
Comment 6 Edney Matias 2009-01-28 12:26:14 EST
Created attachment 330262 [details]
Xorg.0.log
Comment 7 Benjamin Thery 2009-02-11 10:59:52 EST
(In reply to comment #2)
> You've unfortunately got a 945 with the nasty swizzling option turned on by the
> BIOS, which results in a performance penalty due to insufficient workarounds in
> software.  If you short-circuit i915_gem_detect_bit_6_swizzle to return _NONE
> for both modes, that would answer whether that was the performance problem, at
> the expense of bad rendering.

Can you be a bit more explicit on what need to be changed please?

Is 'i915_gem_detect_bit_6_swizzle' a routine? 
From which package? Mesa? Kernel?

What line need to be patched to test it?
Care to provide a pseudo-patch?

Thanks
Comment 8 Benjamin Thery 2009-02-11 11:17:38 EST
I guess I understood what you meant. I wrote this quick'n'dirty patch on mesa:

--- mesa-20081001.orig/src/mesa/drivers/dri/intel/intel_regions.c
+++ mesa-20081001/src/mesa/drivers/dri/intel/intel_regions.c
@@ -98,7 +98,7 @@ intel_set_region_tiling_gem(struct intel
    }
 
    region->tiling = get_tiling.tiling_mode;
-   region->bit_6_swizzle = get_tiling.swizzle_mode;
+   region->bit_6_swizzle = I915_BIT_6_SWIZZLE_NONE;
 
    return 0;
 }

This solves Bug #479153 for me !!!!
No more display corruption in Blender icons!!! 

My chipset is an Intel 865G.
Comment 9 Edney Matias 2009-02-13 14:14:32 EST
Hi there!

Don't know if the behavior of my machine is related to this bug but i think it could be worth saying. When i activate compositing on kde 4.2 sometimes something start to suck my processor until everything stops working. Icons on desktop disappears, i can't start any new program, and commands on console return 'too many open files on system' error messages.

Checking /var/log/messages i found messages saying the same 'Feb 13 16:22:05 r2d2 kernel: VFS: file-max limit 101009 reached'. Every time this happened i was with compositing enabled. I never happened with compositing disabled, at least until now.

My video card is 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c).

My running kernel is Linux r2d2 2.6.27.12-170.2.5.fc10.i686 #1 SMP Wed Jan 21 02:09:37 EST 2009 i686 i686 i386 GNU/Linux.

My xorg driver is xorg-x11-drv-i810-2.5.0-4.fc10.i386.

I hope it can help.
Comment 10 Matěj Cepl 2009-02-13 17:00:51 EST
Edney, thanks for the help but it would be probably really more profitable if we keep one bug per reporter. Can I ask you please to file your own bug (and refer to attachment 330262 [details] and attachment 330260 [details])?

Reporter, could we please get the requested information from you as well?

Thank you, both.
Comment 11 François Cami 2009-03-16 17:31:05 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.